## com.vividsolutions.jts.geom
Interface GeometryComponentFilter

All Known Implementing Classes:
  ComponentCoordinateExtracter, LinearComponentExtracter

public interface GeometryComponentFilter

`Geometry` classes support the concept of applying a `GeometryComponentFilter` filter to the `Geometry`. The filter is applied to every component of the `Geometry` which is itself a `Geometry`. (For instance, all the LinearRings in Polygons are visited.)

A `GeometryComponentFilter` filter can either record information about the `Geometry` or change the `Geometry` in some way. `GeometryComponentFilter` is an example of the Gang-of-Four Visitor pattern.

Version:
  1.7

Method Summary
`void` `filter(Geometry geom)` Performs an operation with or on `geom`.

Method Detail

### filter

    public void filter(Geometry geom)

  Performs an operation with or on `geom`.

  Parameters:
    `geom` - a `Geometry` to which the filter is applied.